package com.sysu.admin.controller.crop;

import com.alibaba.fastjson.annotation.JSONField;
import com.sysu.admin.support.base.BaseVo;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import lombok.experimental.FieldNameConstants;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.locationtech.jts.geom.MultiPolygon;
import org.springframework.data.annotation.CreatedBy;
import org.springframework.data.annotation.CreatedDate;

import javax.persistence.*;
import java.util.Date;

@Data
@Accessors(chain = true)
public class CropLandVo{
    /**
     * 主键
     */
    private Long id;

    private Long gridcode;
    /**
     * 耕地类型
     */
    private Integer cropType;
    /**
     * 生长期
     */
    private Integer growingPeriod;

    /**
     * 产量
     */
    private Integer yield;

    private Date createDate;

    private Date receiveDate;

    private Date finishDate;

    /**
     * 创建人
     */
    private Long creator;

    /**
     * 创建人
     */
    private Long executor;

    /**
     * 状态
     */
    private Integer status;
    private String provinceId;
    private String cityId;
    private String districtId;
    private String name;
    private String address;

    private String fileBase64;




}
