package com.sysu.admin.controller.crop.class_item_period;

import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import java.io.Serializable;

/**
 * 联合主键
 */
@Data
@Accessors(fluent = true)
@Embeddable
public class PKRP implements Serializable{


    /**
     * 作物类别明细ID
     */
    @Column
    private Integer cropItemId;

    /**
     * 生长周期id
     */
    @Column
    private Integer periodId;

}
