package com.sysu.admin.controller.crop.executor_table;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import lombok.experimental.FieldNameConstants;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.Table;

@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@FieldNameConstants(innerTypeName = "FIELDS")
@Table(name = "p_executor_table")
@Entity
@DynamicInsert
@DynamicUpdate
public class ExecutorTable {


    /**
     * 联合主键
     */
    @EmbeddedId
    private PKRP pk;
}
