package com.sysu.admin.controller.crop.range;


import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import org.locationtech.jts.geom.MultiPolygon;

import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.Table;

@Table(name = "p_land_range_index")
@Entity
@Data
public class LandRangeIndex {
    /**
     * 联合主键
     */
    @EmbeddedId
    private PKRP pk;

    @Column
    private String tableName;

    @Column
    private String name;
    @Column
    private String code;

    @JSONField(serialize = false)
    @Column(columnDefinition = "geom")
    private MultiPolygon geom;
}
