package com.sysu.admin.controller.lz.everyday;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class LzEverydayExcel {

    @ExcelProperty(value = "编号",index = 0)
    private String code;
    @ExcelProperty(value = "物候期",index = 1)
    private Integer period_id;
    @ExcelProperty(value = "花叶比",index = 2)
    private Double flowerLength;
    @ExcelProperty(value = "开花面积占比",index = 3)
    private Double flowerAreaPercent;
    @ExcelProperty(value = "花穗比",index = 4)
    private Double flowerPercent;
    @ExcelProperty(value = "白点数",index = 5)
    private Double whitePoint;
    @ExcelProperty(value = "预估产量",index =6)
    private Integer yield;
    @ExcelProperty(value = "红叶率",index =7)
    private Double redLeafPercent;
    @ExcelProperty(value = "图片数量",index = 8)
    private Integer imgCount;
    @ExcelProperty(value = "日期",index = 9)
    private Date date;

}
