package com.sysu.admin.controller.lz.everyday;

import com.sysu.admin.controller.lz.tree.LzTree;
import com.xiesx.fastboot.core.jpa.JpaPlusRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.Date;
import java.util.List;

public interface LzEverydayRepository extends JpaPlusRepository<LzEveryday, Integer> {

    List<LzEveryday> findAllByTreeIdAndCreateDateBetweenOrderByIdAsc(Integer treeId, Date start, Date end);

}
