package com.sysu.admin.support.base;


import com.sysu.admin.controller.crop.CropLandRepository;
import com.sysu.admin.controller.crop.CropPointRepository;
import com.sysu.admin.controller.crop.class_item.CropClassItemRepository;
import com.sysu.admin.controller.crop.images.CropImageRepository;
import com.sysu.admin.controller.crop.period.CropPeriodRepository;
import com.sysu.admin.controller.geo.qyz.QyzRepository;
import com.sysu.admin.support.system.user_role.UserRoleRepository;
import org.springframework.beans.factory.annotation.Autowired;
import com.sysu.admin.support.system.config.SConfigRepository;
import com.sysu.admin.support.system.region.RegionRepository;
import com.sysu.admin.support.system.user.UserRepository;

/**
 * @title BaseController
 * @description
 * @author XIE
 * @date 2020年4月24日下午10:01:01
 */
public class RepositoryContext extends BaseComponent{

    @Autowired
    public RegionRepository mRegionRepository;

    @Autowired
    public SConfigRepository mSConfigRepository;

    @Autowired
    public UserRepository mUserRepository;

    @Autowired
    public UserRoleRepository mUserRoleRepository;

    @Autowired
    public ServiceContext serviceContext;

    @Autowired
    public QyzRepository mQyzRepository;
    @Autowired
    public CropLandRepository mCropLandRepository;
    @Autowired
    public CropPointRepository mCropPointRepository;
    @Autowired
    public CropImageRepository mCropImageRepository;
    @Autowired
    public CropClassItemRepository mCropClassItemRepository;
    @Autowired
    public CropPeriodRepository  mCropPeriodRepository;


}
