package com.sysu.admin.support.cfg;

import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.TimeUnit;

/**
 * @author shu hao
 * @description:
 * @date 2022/5/9 9:15
 */
public class CacheCfg {

    public static final String OrganService_findOne = "OrganService_findOne";
    public static final String LandService_getStatSoil = "LandService_getStatSoil";
    public static final String LandService_getCropAreaStat = "LandService_getCropAreaStat";
    public static final String LandService_getLandAreaStat = "LandService_getLandAreaStat";
    public static final String LandService_getEstimate = "LandService_getEstimate";


    /**
     * 过期时间 不配置默认永久 配置了就会过期
     */
    public static final Map<String,Long> expires = new HashMap(){{
        put(OrganService_findOne, 3600L * 12);
    }};



    /**
     * 过期时间的单位
     */
    public static final TimeUnit timeUnit = TimeUnit.SECONDS;
}
