package com.sysu.admin.support.sms;

import com.sysu.admin.support.base.BaseVo;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotEmpty;

/**
 * @title SmsReqVO
 * @description
 * @author XIE
 * @date 2020年4月24日下午10:10:10
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SmsReqVo extends BaseVo {

    @NotEmpty(groups = {SmsReqVoValid.SmsCheckValid.class, SmsReqVoValid.SmsSendValid.class},message = "手机号为空")
    private String mobile;

    @NotEmpty(groups = {SmsReqVoValid.SmsCheckValid.class},message = "验证码为空")
    private String code;

    private String name;

    private String template = "SMS_187310747";

    private String token;
}
