package com.sysu.admin.support.system.menu;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Builder;
import lombok.Data;

/**
 * @title MenuResBO
 * @description
 * @author XIE
 * @date 2020年4月24日下午10:03:28
 */
@Data
public class SMenuResBO {

    @Data
    @Builder
    public static class MenuBO {

        @JSONField(ordinal = 1)
        public Long id;

        @JSONField(ordinal = 2)
        public String name;

        @JSONField(ordinal = 3)
        public String menuIcon;

        @JSONField(ordinal = 4)
        public String menuUrl;

        @JSONField(ordinal = 5)
        public String authority;

        @JSONField(ordinal = 6)
        public Integer orderNumber;

        @JSONField(ordinal = 7)
        public Long parent;

        @JSONField(ordinal = 8)
        public Integer checked;

        @JSONField(ordinal = 9)
        public Integer isMenu;

        @JSONField(ordinal = 10)
        public Boolean open;
    }
}
