<%@ page language="java" contentType="text/html;charset=UTF-8" trimDirectiveWhitespaces="true"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fastboot" prefix="fb"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://shiro.apache.org/tags" prefix="shiro"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<fb:ui src="base/main">

	<fb:script type="text/javascript">
		<script>
		</script>
	</fb:script>

	<fb:layout>

		<div class="layui-col-md8">
			<div class="layui-row layui-col-space15">
				<div class="layui-col-md6">
					<div class="layui-card">
						<div class="layui-card-header"><spring:message code="userInfo"/></div>
						<div class="layui-card-body">
							<table class="layui-table">
								<tbody>
								<colgroup>
									<col width="100">
									<col>
								</colgroup>
								<tr>
									<td><spring:message code="nickname"/></td>
									<td>${user.nickname}</td>
								</tr>
								<tr>
									<td><spring:message code="username"/></td>
									<td>${user.username}</td>
								</tr>
								<!-- 系统用户 -->
								<tr>
									<td><spring:message code="role"/></td>
									<td><c:forEach items="${roles}" var="role">
										<c:forEach items="${userRoles}" var="userRoles">
											${role.id == userRoles.pk.roles?role.name:''}
										</c:forEach>
									</c:forEach></td>
								</tr>
								<tr>
									<td><spring:message code="organ"/></td>
									<td>${organ.company}</td>
								</tr>
								</tbody>
							</table>

						</div>
					</div>
				</div>
				<div class="layui-col-md6">
					<div class="layui-card">
						<div class="layui-card-header">系统列表</div>
						<div class="layui-card-body">
							<table class="layui-table">
								<tbody>
								<colgroup>
									<col width="100">
									<col>
								</colgroup>
								<tr>
									<td>监测系统</td>
									<td><a href="javascript:parent.window.location.href='admin2';">点击进入</a></td>
								</tr>

								</tbody>
							</table>

						</div>
					</div>
				</div>
				<div class="layui-col-md12">
					<div class="layui-card">
						<div class="layui-card-header"></div>
						<div class="layui-card-body">


						</div>
					</div>
				</div>

			</div>
		</div>

		<div class="layui-col-md4">
			<div class="layui-card">
				<div class="layui-card-header">Version information</div>
				<div class="layui-card-body layui-text">
					<table class="layui-table">
						<colgroup>
							<col width="100">
							<col>
						</colgroup>
						<tbody>
							<tr>
								<td>mark</td>
								<td>v2.0.0</td>
							</tr>
							<tr>
								<td>Main features</td>
								<td>Full platform / Responsive / refreshing / simple</td>
							</tr>
							<tr>
								<td colspan="2" style="padding-bottom: 0;">
									<div class="layui-btn-container">
<%--										<a href="${base}/mark/index" target="_blank" class="layui-btn">Back Mark</a>--%>
									</div>
								</td>
							</tr>
						</tbody>
					</table>
				</div>
			</div>




		</div>

	</fb:layout>
</fb:ui>

