package com.sysu.admin.controller.crop.class_item_period;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import lombok.experimental.FieldNameConstants;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 作物类别条目 与 生长周期关联表
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@FieldNameConstants(innerTypeName = "FIELDS")
@Table(name = "p_crop_class_item_period")
@Entity
@DynamicInsert
@DynamicUpdate
public class CropClassItemPeriod {

    /**
     * 联合主键
     */
    @EmbeddedId
    private PKRP pk;

}
