package com.sysu.admin.controller.lz.area;

import com.sysu.admin.controller.crop.CropLand;
import com.xiesx.fastboot.core.jpa.JpaPlusRepository;
import org.springframework.data.jpa.repository.Query;

public interface LzAreaRepository extends JpaPlusRepository<LzArea, Integer> {


    @Query(value = "SELECT * FROM lz_area where St_within(st_geomfromtext(?1), geom) limit 1 ", nativeQuery = true)
    LzArea findByPoint(String pointWKT);
}
