package com.sysu.admin.site.lz;

import com.sysu.admin.controller.lz.clazz.LzClazz;
import com.sysu.admin.controller.lz.clazz.LzClazzService;
import com.sysu.admin.controller.lz.tree.LzTree;
import com.sysu.admin.controller.lz.tree.LzTreeService;
import com.sysu.admin.utils.shape.GeoCastUtil;
import com.xiesx.fastboot.base.result.BaseResult;
import com.xiesx.fastboot.base.result.R;
import org.locationtech.jts.geom.Point;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RequestMapping("/site/lz_clazz")
@RestController
public class LzClazzController {

    @Autowired
    private LzClazzService lzClazzService;

    @RequestMapping("/list")
    public BaseResult list(){
        List<LzClazz> list = lzClazzService.findAll();
        return R.succ(list);
    }

}
