package com.sysu.admin.support.cfg;

import org.springframework.context.annotation.Configuration;

import com.xiesx.fastboot.core.body.annotation.GoEnableBody;
import com.xiesx.fastboot.core.exception.annotation.GoEnableException;
import com.xiesx.fastboot.core.fastjson.annotation.GoEnableFastJson;
import com.xiesx.fastboot.core.sign.annotation.GoEnableSign;
import com.xiesx.fastboot.core.token.annotation.GoEnableToken;

/**
 * @title GoCfg
 * @description
 * @author XIE
 * @date 2020年4月24日下午10:01:20
 */
@Configuration
// 启用统一返回
@GoEnableBody
// 启用令牌
@GoEnableToken
// 启用签名
@GoEnableSign
// 启用FastJson
@GoEnableFastJson
// 启用全局异常
@GoEnableException
public class GoCfg {

}
