package com.sysu.admin.support.system.user_role;

import com.xiesx.fastboot.core.jpa.entity.JpaPlusEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import lombok.experimental.FieldNameConstants;

import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @title UserRole
 * @description
 * @author XIE
 * @date 2020年4月24日下午10:07:46
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@FieldNameConstants(innerTypeName = "FIELDS")
@Entity
@Table(name = "sys_user_role")
public class UserRole extends JpaPlusEntity<UserRole> {

    private static final long serialVersionUID = 1L;

    /**
     * 用户
     */
    @EmbeddedId
    private PKUR pk;
}
