<%@ page language="java" contentType="text/html;charset=UTF-8" trimDirectiveWhitespaces="true"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<c:set var="base" value="${pageContext.request.contextPath}" />
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8" />
<meta name="renderer" content="webkit">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
@{meta}
<title>@{title} - 农业一张图平台</title>
<!--  -->
<link href="${base}/static/js/layuiadmin/layuiadmin/layui/css/layui.css" rel="stylesheet"/>
<link href="${base}/static/js/layuiadmin/layuiadmin/style/admin.css" rel="stylesheet"/>
<link href="${base}/static/css/nprogress/0.2.0/nprogress.min.css" rel="stylesheet" />
@{css}
<!--  -->
<script src="${base}/static/js/layuiadmin/layuiadmin/layui/layui.js"></script>
<script src="${base}/static/package/common/system.js/js/tools/system.js"></script>
	<script src="${base}/static/jquery/2.2.1/jquery.min.js"></script>
	<script src="${base}/static/html5shiv/r29/html5.min.js"></script>
	<script src="${base}/static/respond.js/1.4.2/respond.min.js"></script>
	<script src="${base}/static/nprogress/0.2.0/nprogress.min.js"></script>
<!--  -->
<script src="${base}/static/js/adm/adm.js"></script>
<script src="${base}/static/js/adm/killie.min.js"></script>
<!--  -->
<script type="text/javascript" charset="utf-8">
	NProgress.configure({
		speed : 500,
		showSpinner : false
	});
	$().ready(function() {
		NProgress.start();
	});
	$(window).load(function() {
		NProgress.done();
	});
</script>
@{script}
</head>
<body layadmin-themealias="default">
	<!--  -->
	<div class="layui-fluid">
		<div class="layui-row layui-col-space15">@{body}</div>
	</div>
</body>

</html>
