<%@ page language="java" contentType="text/html;charset=UTF-8" trimDirectiveWhitespaces="true"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fastboot" prefix="fb"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<fb:ui src="base/main2">
    <fb:property name="title"></fb:property>
    <fb:script type="text/javascript" src='${base}/static/cesium/Cesium.js'></fb:script>
    <fb:script type="text/javascript" src='${base}/static/package/zzjg.js'></fb:script>
    <fb:script type="text/javascript" src='http://api.tianditu.gov.cn/cdn/plugins/cesium/cesiumTdt.js'></fb:script>
    <fb:script type="text/javascript" src='http://api.tianditu.gov.cn/api?v=4.0&tk=e95115c454a663cd052d96019fd83840'></fb:script>
    <fb:css href="${base}/static/cesium/Widgets/widgets.css"></fb:css>
    <fb:script type="text/javascript">
        <script>
            layui.use([ 'tool', 'form', 'table'], function() {
                //初始化天地图地图
                let viewer = initTdt()
                //初始化地块类型
                initCityLand(viewer, "${geoserver}")
                //初始化区划信息
                initXzqh(viewer,"${geoserver}")
                window.print111 = function(){
                    console.log(viewer.scene.camera)
                }

            })

        </script>
    </fb:script>
    <fb:layout>
        <style>
            html, body, #cesiumContainer {
                width: 100%; height: 100%; margin: 0; padding: 0; overflow: hidden;
            }
            .modelTag{
                padding: 5px;
            }
        </style>
        <div id="cesiumContainer"></div>
        <div id="tagDiv"></div>
    </fb:layout>
</fb:ui>



